{
	"extends": [
		// add more generic rulesets here, such as:
		"eslint:recommended",
		"airbnb-base"
	],
	"parserOptions": {
		"parser": "espree",
		"ecmaVersion": 2022,
		"sourceType": "module"
	},
	"env": {
		"es6": true,
		"browser": true
	},
	"rules": {
		"semi": [
			"error",
			"never"
		],
		"indent": [
			"error",
			"tab"
		],
		"no-tabs": "off",
		"comma-dangle": "off",
		"no-alert": 0,
		"no-unused-vars": "off",
		"spaced-comment": "off",
		"no-param-reassign": 0,
		"import/extensions": 0,
		"import/no-unresolved": 0,
		"import/prefer-default-export": 0,
		"import/no-extraneous-dependencies": [
			"error",
			{
				// allow devDependencies for packages
				"devDependencies": true
			}
		]
	}
}
